/**
 * IBIZBOOKTIMELINE 部件模型
 *
 * @export
 * @class IBIZBOOKTIMELINEModel
 */
export default class IBIZBOOKTIMELINEModel {

	/**
	 * 日历项类型
	 *
	 * @returns {any[]}
	 * @memberof IBIZBOOKTIMELINECalendarMode
	 */
	public itemType: string = "";

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof IBIZBOOKTIMELINECalendarMode
	 */
	public getDataItems(): any[] {
     let dataItems: any = [
          // 前端新增修改标识，新增为"0",修改为"1"或未设值
          {
            name: 'srffrontuf',
            prop: 'srffrontuf',
            dataType: 'TEXT',
          },
          {
            name: 'color',
          },
          {
            name: 'textColor',
          },
          {
            name: 'itemType',
          },
          {
            name: 'query',
            prop: 'query',
          },
      ];
      switch(this.itemType){
      }
      return dataItems;
	}

}